### Hierarchy

- Text

### Implements

- IDrawable

## Index

### Constructors

- constructor

### Properties

- alignment
- caption
- color
- dropShadow
- font
- outline
- pos
- scale
- wordWrap

### Methods

- draw
- addLongString
- draw

## Constructors

### constructor

- new Text(caption: string, pos: Point, scale?: number, color?: Color, font?: Font, alignment?: Alignment, dropShadow?: boolean, outline?: boolean, wordWrap?: Size): Text

- - Defined in ui/Text.ts:85

  #### Parameters

  - ##### caption: string

    Text to display

  - ##### pos: Point

    Position of text relative to alignment. In pixels.

  - ##### scale: number = 1

    Size of text. Default 1.0

  - ##### color: Color = ...

    Color of text. Default black.

  - ##### font: Font = ...

    Font of text. Default Chalet London.

  - ##### alignment: Alignment = ...

    Alignment of text. Default Left.

  - ##### dropShadow: boolean = false

  - ##### outline: boolean = false

  - ##### wordWrap: Size = ...

  #### Returns Text

## Properties

### alignment

alignment: Alignment

- Defined in ui/Text.ts:68

### caption

caption: string

- Defined in ui/Text.ts:63

### color

color: Color

Implementation of IDrawable.color

- Defined in ui/Text.ts:66

### dropShadow

dropShadow: boolean

- Defined in ui/Text.ts:69

### font

font: Font

- Defined in ui/Text.ts:67

### outline

outline: boolean

- Defined in ui/Text.ts:70

### pos

pos: Point

Implementation of IDrawable.pos

- Defined in ui/Text.ts:64

### scale

scale: number

- Defined in ui/Text.ts:65

### wordWrap

wordWrap: Size

- Defined in ui/Text.ts:71

## Methods

### draw

- draw(offset?: Size, resolution?: Size): void
- draw(caption: string, pos: Point, scale: number, color?: Color, font?: Font, alignment?: Alignment, dropShadow?: boolean, outline?: boolean, wordWrap?: Size, resolution?: Size): void

- Implementation of IDrawable.draw

  - Defined in ui/Text.ts:107

  #### Parameters

  - ##### Optional offset: Size

  - ##### Optional resolution: Size

  #### Returns void

- Implementation of IDrawable.draw

  - Defined in ui/Text.ts:108

  #### Parameters

  - ##### caption: string

  - ##### pos: Point

  - ##### scale: number

  - ##### Optional color: Color

  - ##### Optional font: Font

  - ##### Optional alignment: Alignment

  - ##### Optional dropShadow: boolean

  - ##### Optional outline: boolean

  - ##### Optional wordWrap: Size

  - ##### Optional resolution: Size

  #### Returns void

### Static addLongString

- addLongString(str: string): void

- - Defined in ui/Text.ts:55

  #### Parameters

  - ##### str: string

  #### Returns void

### Static draw

- draw(caption: string, pos: Point, scale?: number, color?: Color, font?: Font, alignment?: Alignment, dropShadow?: boolean, outline?: boolean, wordWrap?: Size, resolution?: Size): void

- - Defined in ui/Text.ts:6

  #### Parameters

  - ##### caption: string

  - ##### pos: Point

  - ##### scale: number = 1

  - ##### color: Color = ...

  - ##### font: Font = ...

  - ##### alignment: Alignment = ...

  - ##### dropShadow: boolean = false

  - ##### outline: boolean = false

  - ##### Optional wordWrap: Size

  - ##### Optional resolution: Size

  #### Returns void

Generated using TypeDoc